Signpost notification displaying unwanted pre tags
Closed, ResolvedPublic

Description

The snippets in Echo notifications (which are awesome, by the way) are having problems with posts containing certain markup. The one that I noticed was a talk page notification from The Signpost.

The post resulting in the notification used the following wikitext:

== ''The Signpost'': 16 December 2015 ==

<div lang="en" dir="ltr" class="mw-content-ltr"><div style="-moz-column-count:2; -webkit-column-count:2; column-count:2;">
{{Wikipedia:Wikipedia Signpost/2015-12-16}}
</div><!--Volume 11, Issue 50-->
<div class="hlist" style="margin-top:10px; font-size:90%; padding-left:5px; font-family:Georgia, Palatino, Palatino Linotype, Times, Times New Roman, serif;">
* '''[[Wikipedia:Wikipedia Signpost|Read this Signpost in full]]'''
* [[Wikipedia:Wikipedia Signpost/Single/2015-12-16|Single-page]]
* [[Wikipedia:Wikipedia Signpost/Subscribe|Unsubscribe]]
* [[User:MediaWiki message delivery|MediaWiki message delivery]] ([[User talk:MediaWiki message delivery|talk]]) 19:57, 19 December 2015 (UTC)
</div></div>
<!-- Message sent by User:LivingBot@enwiki using the list at https://en.wikipedia.org/w/index.php?title=Wikipedia:Wikipedia_Signpost/Tools/Spamlist&oldid=695576025 -->

The snippet in the DOM was the following:

<div class="mw-echo-payload">
<p>Read this Signpost in full </p>
<pre>Single-page Unsubscribe </pre>
</div>

The pre tags look out of place here, in my opinion, and should either be replaced with something else or re-styled. The box around the preformatted text is the most conspicuous, but I also think the monospace font would look odd without the box. In this case the affected content could just be removed altogether, but I'm not sure how that would affect other cases.

MrStradivarius updated the task description. (Show Details)
MrStradivarius raised the priority of this task from to Needs Triage.
MrStradivarius added a project: Notifications.
MrStradivarius added a subscriber: MrStradivarius.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptDec 20 2015, 2:09 AM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Jay8g added a subscriber: Jay8g.Dec 20 2015, 3:43 AM
Quiddity set Security to None.
Quiddity added a subscriber: Quiddity.
Legoktm claimed this task.Jan 8 2016, 4:50 PM
Legoktm added a subscriber: Legoktm.

Uhh, yeah this isn't supposed to happen. I think I know why.

Change 263071 had a related patch set uploaded (by Legoktm):
Don't parse wikitext in edit-user-talk snippets

https://gerrit.wikimedia.org/r/263071

Change 263071 merged by jenkins-bot:
Don't parse wikitext in edit-user-talk snippets

https://gerrit.wikimedia.org/r/263071

Checked in betalabs - Echo notifications do not include unwanted markup(snippets).

e.g. The notification about the Signpost example message from the ticket will look like - no extra info about the content of a message:

Legoktm closed this task as Resolved.Jan 15 2016, 10:41 PM

Confirmed, I no longer see the markup being processed in my flyout.